### A free/open-source library for quantitative finance

Classes
ql/instruments/vanillaoption.hpp File Reference

Vanilla option on a single asset. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for vanillaoption.hpp:

## Classes

class | VanillaOption
| Vanilla option (no discrete dividends, no barriers) on a single asset. More...

## Detailed Description

Vanilla option on a single asset.